//#include <Files.h>

Boolean 	FindProcess(unsigned long type, OSType signature, ProcessSerialNumber* process);
Error 		GetFinderProcess(ProcessSerialNumber* process, Boolean* isPathFinder);
Error		BringFinderToFront();

typedef		enum { finderOpen, finderOpenIn, finderReveal, finderCopyTo, finderMoveTo, finderGetInfo } FinderAction;
Error		DoFinderFilesToDesc(FinderAction, AEDesc* doFiles, AEDesc* ontoDesc);
Error		DoFinderFiles(FinderAction, AEDesc* doFiles, FSSpec* ontoFile);
Error		DoFinderFile(FinderAction action, FSSpec* doFile, FSSpec* ontoFile);
Error		CreateAlias(FSSpec* fromFile, FSSpec *intoFolder);

Error		CreateFileDesc(const FSSpec* file, AEDesc* fileDesc);
Error		AddFileToAEList(const FSSpec* file, AEDesc* listDesc);

Boolean		SelectNewFolder(FSSpec* fileSpec);
Boolean		SelectAnObject(FSSpec* fileSpec);